if not RerollManager then return end

local L = LibStub("AceLocale-3.0"):GetLocale("RerollManager")

function RerollManager:Options()
	local RMOptions = {
	  type="group",
	  args={
		HandleRaid={
		  name=L.RaidIDs,
		  type="group",
		  args={
			HandleICC10={
			  name=L.ICC10,
			  desc=L.ToggleDesc..L.ICC10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.ICC10.handle = val end,
			  get = function(info) return RerollManager.db.char.ICC10.handle end
			},
			HandleICC25={
			  name=L.ICC25,
			  desc=L.ToggleDesc..L.ICC25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.ICC25.handle = val end,
			  get = function(info) return RerollManager.db.char.ICC25.handle end
			},
			HandleArcha10={
			  name=L.Archa10,
			  desc=L.ToggleDesc..L.Archa10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Archa10.handle = val end,
			  get = function(info) return RerollManager.db.char.Archa10.handle end
			},
			HandleArcha25={
			  name=L.Archa25,
			  desc=L.ToggleDesc..L.Archa25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Archa25.handle = val end,
			  get = function(info) return RerollManager.db.char.Archa25.handle end
			},
			HandleRuby10={
			  name=L.Ruby10,
			  desc=L.ToggleDesc..L.Ruby10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Ruby10.handle = val end,
			  get = function(info) return RerollManager.db.char.Ruby10.handle end
			},
			HandleRuby25={
			  name=L.Ruby25,
			  desc=L.ToggleDesc..L.Ruby25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Ruby25.handle = val end,
			  get = function(info) return RerollManager.db.char.Ruby25.handle end
			},
			HandleEDC10={
			  name=L.EDC10,
			  desc=L.ToggleDesc..L.EDC10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.EDC10.handle = val end,
			  get = function(info) return RerollManager.db.char.EDC10.handle end
			},
			HandleEDC25={
			  name=L.EDC25,
			  desc=L.ToggleDesc..L.EDC25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.EDC25.handle = val end,
			  get = function(info) return RerollManager.db.char.EDC25.handle end
			},
			HandleEDC10H={
			  name=L.EDC10H,
			  desc=L.ToggleDesc..L.EDC10H,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.EDC10H.handle = val end,
			  get = function(info) return RerollManager.db.char.EDC10H.handle end
			},
			HandleEDC25H={
			  name=L.EDC25H,
			  desc=L.ToggleDesc..L.EDC25H,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.EDC25H.handle = val end,
			  get = function(info) return RerollManager.db.char.EDC25H.handle end
			},
			HandleOny10={
			  name=L.Ony10,
			  desc=L.ToggleDesc..L.Ony10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Ony10.handle = val end,
			  get = function(info) return RerollManager.db.char.Ony10.handle end
			},
			HandleOny25={
			  name=L.Ony25,
			  desc=L.ToggleDesc..L.Ony25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Ony25.handle = val end,
			  get = function(info) return RerollManager.db.char.Ony25.handle end
			},
			HandleUldu10={
			  name=L.Uldu10,
			  desc=L.ToggleDesc..L.Uldu10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Uldu10.handle = val end,
			  get = function(info) return RerollManager.db.char.Uldu10.handle end
			},
			HandleUldu25={
			  name=L.Uldu25,
			  desc=L.ToggleDesc..L.Uldu25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Uldu25.handle = val end,
			  get = function(info) return RerollManager.db.char.Uldu25.handle end
			},
			HandleMaly10={
			  name=L.Maly10,
			  desc=L.ToggleDesc..L.Maly10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Maly10.handle = val end,
			  get = function(info) return RerollManager.db.char.Maly10.handle end
			},
			HandleMaly25={
			  name=L.Maly25,
			  desc=L.ToggleDesc..L.Maly25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Maly25.handle = val end,
			  get = function(info) return RerollManager.db.char.Maly25.handle end
			},
			HandleSartha10={
			  name=L.Sartha10,
			  desc=L.ToggleDesc..L.Sartha10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Sartha10.handle = val end,
			  get = function(info) return RerollManager.db.char.Sartha10.handle end
			},
			HandleSartha25={
			  name=L.Sartha25,
			  desc=L.ToggleDesc..L.Sartha25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Sartha25.handle = val end,
			  get = function(info) return RerollManager.db.char.Sartha25.handle end
			},
			HandleNaxx10={
			  name=L.Naxx10,
			  desc=L.ToggleDesc..L.Naxx10,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Naxx10.handle = val end,
			  get = function(info) return RerollManager.db.char.Naxx10.handle end
			},
			HandleNaxx25={
			  name=L.Naxx25,
			  desc=L.ToggleDesc..L.Naxx25,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Naxx25.handle = val end,
			  get = function(info) return RerollManager.db.char.Naxx25.handle end
			},
		  },
		},
		HandleJobQuests={
		  name=L.JobQuests,
		  type="group",
		  args={
			HandleCook={
			  name=L.Cook,
			  desc=L.ToggleDesc..L.Cook,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Cook.handle = val end,
			  get = function(info) return RerollManager.db.char.Cook.handle end
			},
			HandleFish={
			  name=L.Fish,
			  desc=L.ToggleDesc..L.Fish,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Fish.handle = val end,
			  get = function(info) return RerollManager.db.char.Fish.handle end
			},
			HandleJC={
			  name=L.JC,
			  desc=L.ToggleDesc..L.JC,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.JC.handle = val end,
			  get = function(info) return RerollManager.db.char.JC.handle end
			},
		  },
		},
		HandleMisc={
		  name=L.Misc,
		  type="group",
		  args={
			HandleBG={
			  name=L.BG,
			  desc=L.ToggleDesc..L.BG,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.BG.handle = val end,
			  get = function(info) return RerollManager.db.char.BG.handle end
			},
			HandleFrost={
			  name=L.Frost,
			  desc=L.ToggleDesc..L.Frost,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Frost.handle = val end,
			  get = function(info) return RerollManager.db.char.Frost.handle end
			},
			HandleWeekly={
			  name=L.Weekly,
			  desc=L.ToggleDesc..L.Weekly,
			  type="toggle",
			  set = function(info,val) RerollManager.db.char.Weekly.handle = val end,
			  get = function(info) return RerollManager.db.char.Weekly.handle end
			},
		  },
		},
	  },
	}
	return RMOptions
end